Subject: Re: bug#77981: 30.1; kill-ring-deindent-mode replaces spaces with tabs even when indent-tabs-mode is nil

From: Liam Hupfer <[email-masked]>
Date: Sun, 06 Jul 2025 10:24:24 -0500

[resending after learning about unarchive…]

Hi Eli et al.,

I enabled kill-ring-deindent-mode when I saw it in the Emacs 30 NEWS,
but it didn’t seem to work. Recently I came back to it and determined
the root cause after some debugging and found this bug.

Eli Zaretskii <[email-masked]> writes:

> Thanks for testing.  I’ve now installed the change on the master
> branch, and I’m therefore closing the bug.

Would you mind cherry-picking the fix to emacs-30? I “backported” it in
my config via advice and it works as advertised.

—Liam